﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AsystentZakupów.Model
{
    //TODO: obłożyć testami jednostkowymi
    class Sumator
    {
        public Sumator(decimal limit, decimal suma = 0)
        {
            this.Limit = limit;
            this.Suma = suma;            
        }

        public decimal Limit { get; private set; }
        public decimal Suma { get; private set; }        

        public bool CzyKwotaPoprawna(decimal kwota)
        {
            if (kwota <= 0) return false;
            if (Suma + kwota > Limit) return false;
            return true;
        }

        public void Dodaj(decimal kwota)
        {
            if (CzyKwotaPoprawna(kwota)) Suma += kwota;
            else throw new ArgumentException("Kwota nie jest poprawna");
        }
    }
}
